# Update Appointment repeat template

Replaces the template settings. Send all fields; omitted `interval` and `days` are reset.

Endpoint: PUT /locations/{location_id}/appointments/duplication_strategies/{strategy_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (integer, required)
    Location ID

  - `strategy_id` (integer, required)
    Repeat template ID

## Header parameters:

  - `Accept` (string, required)

  - `Content-Type` (string, required)

  - `Authorization` (string, required)
    Bearer {partner_token}, User {user_token}

## Request fields (application/json):

  - `title` (string, required)
    Template name

  - `repeat_mode` (string, required)
    Repeat mode:
- `day` - every day
- `working_days` - Monday to Friday
- `mon_wed_fri` - Monday, Wednesday and Friday
- `tue_thu` - Tuesday and Thursday
- `week` - every week on the `days` listed
- `month` - every month on the same day
- `year` - every year on the same date
    Enum: "day", "working_days", "mon_wed_fri", "tue_thu", "week", "month", "year"

  - `interval` (integer)
    Number of periods skipped between repetitions for `day`, `week`, `month` and `year` (0 - every period, 1 - every other period)

  - `days` (array)
    Days of the week for `week` mode, required there: 1 - Monday ... 7 - Sunday

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)

  - `data` (object)

  - `data.id` (integer)
    Template ID

  - `data.title` (string)
    Template name

  - `data.repeat_mode` (string)
    Repeat mode:
- `day` - every day
- `working_days` - Monday to Friday
- `mon_wed_fri` - Monday, Wednesday and Friday
- `tue_thu` - Tuesday and Thursday
- `week` - every week on the `days` listed
- `month` - every month on the same day
- `year` - every year on the same date
    Enum: "day", "working_days", "mon_wed_fri", "tue_thu", "week", "month", "year"

  - `data.interval` (integer)
    Number of periods skipped between repetitions for `day`, `week`, `month` and `year` (0 - every period, 1 - every other period)

  - `data.days` (array)
    Days of the week for `week` mode, required there: 1 - Monday ... 7 - Sunday

  - `meta` (array)

## Response 400:

  - `400` (unknown)
    Validation error: empty or too long title, missing repeat mode, or `week` mode without days

## Response 400 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: An error has occurred.

  - `meta.errors` (array)
    Set of a validation error messages.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

